<h5 class="text-center text-dark mb-3">Edit Account Details</h5>
<small class="form-text text-muted text-center" style="border-radius: 0;">We'll never share your
    information with anyone else.</small>
<small class="form-text text-center soc-alert my-2" style="border-radius: 0;">{{statusMessage | uppercase}}</small>
<div *ngIf="loader" class="text-center">
  Please wait.! data saving....
</div>
<div class="container my-2">
  <form [formGroup]="createPersonalDetails" (ngSubmit)="updateUser()">
    <input type="hidden" name="id">
    <div class="card pribary-bg">
      <div class="card-body">
        <h5 class="card-title border-bottom pb-2">Twitter</h5>
        <div class="form-group">
          <label for="tusername">Username</label>
          <input type="text" name="tusername" formControlName="tusername" class="form-control" id="tusername"
            placeholder="Enter Username">
          <div class="invalid-feedback">
            Please Enter username.!
          </div>
        </div>
        <div class="form-group">
          <label for="tpassword">Password</label>
          <input type="password" name="tpassword" formControlName="tpassword" class="form-control" id="tpassword"
            placeholder="Enter Password">
        </div>
      </div>
    </div>
    <div class="card pribary-bg my-2">
      <div class="card-body">
        <h5 class="card-title border-bottom pb-2">Facebook</h5>
        <div class="form-group">
          <label for="fusername">Username</label>
          <input type="text" name="fusername" formControlName="fusername" class="form-control" id="fusername"
            placeholder="Enter Username">
        </div>
        <div class="form-group">
          <label for="fpassword">Password</label>
          <input type="password" name="fpassword" formControlName="fpassword" class="form-control" id="fpassword"
            placeholder="Enter Password">
        </div>
      </div>
    </div>
    <div class="card pribary-bg my-2">
      <div class="card-body">
        <h5 class="card-title border-bottom pb-2">Instagram</h5>
        <div class="form-group">
          <label for="iusername">Username</label>
          <input type="text" name="iusername" formControlName="iusername" class="form-control" id="iusername"
            placeholder="Enter Username">
        </div>
        <div class="form-group">
          <label for="ipassword">Password</label>
          <input type="password" name="ipassword" formControlName="ipassword" class="form-control" id="ipassword"
            placeholder="Enter Password">
        </div>
      </div>
    </div>
    <div class="card pribary-bg my-2">
      <div class="card-body">
        <div class="form-group">
          <label for="iusername">Whatsup Number</label>
          <input type="number" name="whatupsno" formControlName="whatupsno" class="form-control" id="iusername"
            placeholder="Enter Whatsup Number">
        </div>
        <div class="form-group">
          <label for="ipassword">Email ID</label>
          <input type="email" name="emailid" formControlName="emailid" class="form-control" id="ipassword" placeholder="Enter Email">
        </div>
      </div>
    </div>
    <div class="form-group">
      <input type="hidden" name="postedby" formControlName="postedby" [(ngModel)]="loggedinUserName" disabled>
    </div>
    <div class="text-center my-3">
      <button class="btn primary-btn" routerLink="/personal-details">C A N C E L</button>
      <button class="btn primary-btn mx-2" [disabled]="createPersonalDetails.invalid" (click)="loaderDisplay()">U P D A T E</button>
    </div>
  </form>
</div>